import request from '@/utils/request'
import qs from "qs";
export function queryBomAccountList(params) {
  return request({
    url: 'api/bomAccount/queryBomAccountList',
    method: 'get',
    params
  })
}

export function queryBigItemByStationType(stationType) {
  return request({
    url: `api/bomAccount/queryBigItemByStationType/${stationType}`,
    method: 'get'
  })
}

export function queryByAreaId(areaId) {
  return request({
    url: `api/bomAccount/queryByAreaId/${areaId}`,
    method: 'get'
  })
}

export function queryItemByArea(areaId) {
  return request({
    url: `api/bomAccount/queryItemByArea/${areaId}`,
    method: 'get'
  })
}

export function queryBomAccountPoints() {
  return request({
    url: `api/bomAccount/queryBomAccountPoints`,
    method: 'get'
  })
}

export function add(data) {
  return request({
    url: 'api/bomAccount',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/bomAccount/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/bomAccount',
    method: 'put',
    data
  })
}

export function tcOut(ids) {
  return request({
    url: 'api/bomAccount/tcOut',
    method: 'post',
    data: ids
  })
}

export function queryBomPrintListD(data) {
  return request({
    url: 'api/bomAccount/queryBomPrintListD' + '?' + qs.stringify(data, { indices: false }),
    method: 'get',
    data
  })
}

export function queryBomPrintListTC(data) {
  return request({
    url: 'api/bomAccount/queryBomPrintListTC' + '?' + qs.stringify(data, { indices: false }),
    method: 'get',
    data
  })
}

export function queryBomPrintListX(data) {
  return request({
    url: 'api/bomAccount/queryBomPrintListX' + '?' + qs.stringify(data, { indices: false }),
    method: 'get',
    data
  })
}

export function bomPrintBiaoQianList(dxw) {
  return request({
    url: `api/bomAccount/bomPrintBiaoQianList/${dxw}`,
    method: 'get'
  })
}

export default { add, edit, del, queryBomAccountPoints, bomPrintBiaoQianList,queryBomPrintListD,queryBomPrintListX ,queryByAreaId}
